
QGIS Application - Bug report #19819

QGIS crashes when I close the application

2018-09-11 10:45 AM - Pascal Weidema

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.2.2 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27643

Description

User Feedback

Report Details

Crash ID: 2158b01f96452b8cf079fabd6f476862ce1a56f9

Stack Trace

QDockWidget::toggleViewAction :

QgisApp::removeDockWidget :

QgsPresetSchemeColorRamp::clone :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgsPluginRegistry::unloadAll :

QgisApp::saveWindowState :

QMetaObject::activate :

QCoreApplicationPrivate::execCleanup :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299
History

#1 - 2018-09-11 04:37 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Remove ALL 3rd party plugins, create a clean new profile, restart QGIS, try again. Thanks!

#2 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2019-02-11 04:18 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
